#ifndef __CDMACS__

#define __CDMACS__

#include <Carbon/Carbon.h>

#define		cLineTerminator  '\r'	// It is a carriage return on a Mac


// Macros used for allocate and deallocate memory

#define MEM_ALLOCATETYPE(item, typ)	item = CDAllocate(sizeof(typ))
#define MEM_ALLOCATESIZE(item, siz)	item = CDAllocate(siz)
#define MEM_DEALLOCATETYPE(item)	CDDeallocate(item)
#define MEM_DEALLOCATESIZE(item)	CDDeallocate(item)
#define MEM_CANALLOCATE(siz)		CDCanAllocate(siz)

#define STR_ASSIGN CDAssign
#define STR_APPEND CDAppend
#define STR_LENGTH CDLength
#define STR_EQUALSTR CDEqualStr



/* 6/20/94 CD Added UTL_ forms to be compatible with Windows version */

#define MASK(bit)		(1L << (bit))
#define UTL_MASK(bit)		(1L << (bit))
#define BITON(set,bit)		(((1L << (bit)) & (set)) != 0)
#define UTL_BITON(set,bit)	(((1L << (bit)) & (set)) != 0)
#define BITOFF(set,bit) 	(((1L << (bit)) & (set)) == 0)
#define UTL_BITOFF(set,bit) 	(((1L << (bit)) & (set)) == 0)
#define EXCL(set,bit)		set &= ~((long)(1L << (bit)))
#define UTL_EXCL(set,bit)	set &= ~((long)(1L << (bit)))
#define INCL(set,bit)		set |= (1L << (bit))
#define UTL_INCL(set,bit)	set |= (1L << (bit))
#define FLIP(set,bit)		set = set & ~((long)(1L << (bit))) | (~set & (1L << bit))
#define UTL_FLIP(set,bit)	set = set & ~((long)(1L << (bit))) | (~set & (1L << bit))

#define FOR for
#define BREAK break
#define IF if
#define DO do
#define SWITCH switch
#define CASE case
#define DEFAULT default
#define WHILE while
#define ELSE else
#define RETURN return

#ifndef TRUE 
#define TRUE true
#define FALSE false
#endif


#define INTEGER short
#define LONGINT long
#define CHAR char
#define LONG long
#define BITSET unsigned short
#define BITSET_FULL(set) (set == 0xffff)
#define LONGBITSET unsigned long
#define LONGBITSET_FULL(set) (set == 0xffffffff)
#define ADDRESS char *
#define BOOLEAN Boolean
typedef  char CStr255[256];


#define SADE   


#endif
